const fs = require("fs");
const path = require("path");

console.log("Start");

fs.readFile(path.join(__dirname, "/example.html"), 'utf8', (err, data) => {
    console.log(data);
    if (err) {
        console.log(__dirname);
        console.log(err.message);
    }

    setTimeout(() => {
        console.log("Timeout");
    }, 0);

    setImmediate(() => {
        console.log("Immediate");
    });

    process.nextTick(() => {
        console.log("Next Tick");
    });
})

console.log("End");

